import { LoggerConfiguration, LogLevel, PossibleInputs } from "../../types";
export default abstract class AbstractLogger {
    protected config: LoggerConfiguration;
    protected constructor(config: LoggerConfiguration);
    reconfigure(config: Partial<LoggerConfiguration>): this;
    info(...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    infoFrom(from: string, ...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    warning(...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    warningFrom(from: string, ...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    error(...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    errorFrom(from: string, ...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    success(...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    successFrom(from: string, ...message: any): {
        json: ((message: string) => PossibleInputs) | PossibleInputs;
    };
    abstract log(logLevel: LogLevel, message: any[], from?: string): {
        set json(data: ((message: string) => PossibleInputs) | PossibleInputs);
    };
    protected getJsonResponse(message: any[], logLevel: LogLevel, from?: string): {
        json: ((message: string) => PossibleInputs) | PossibleInputs | [string, PossibleInputs];
    };
    protected jsonLog(message: PossibleInputs, level: LogLevel, module?: string): void;
}
